Subject: bug#34685: 26.1; function nnrss-get-namespace-prefix always returns nil

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Sep 2019 00:34:15 +0200

Noam Postavsky <[email-masked]> writes:

> Well, if it's only the one feed, I guess this is not too urgent a bug,
> but I don't think the feed is technically wrong.  As I said before, XML
> allows xmlns attributes anywhere in the document, so nnrss should be
> fixed to handle it.  But we need to have test cases both of the
> "outlier" case and "typical" cases to get it right.

I've now fixed this more generally by searching through the DOM for the
URI.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no